[Scipy-tickets] [SciPy] #461: tests failing

SciPy scipy-tickets@scipy....
Sat Jul 7 23:33:51 CDT 2007


#461: tests failing
--------------------------+-------------------------------------------------
 Reporter:  johannct      |        Owner:  somebody
     Type:  defect        |       Status:  new     
 Priority:  normal        |    Milestone:          
Component:  scipy.linalg  |      Version:          
 Severity:  normal        |   Resolution:          
 Keywords:                |  
--------------------------+-------------------------------------------------
Changes (by cookedm):

  * component:  Other => scipy.linalg

Old description:

> I am failing 2 tests at level 1 :
> ======================================================================
> FAIL: check_dot (scipy.lib.tests.test_blas.test_fblas1_simple)
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "/usr/lib/python2.5/site-
> packages/scipy/lib/blas/tests/test_blas.py", line 76, in check_dot
>     assert_almost_equal(f([3j,-4,3-4j],[2,3,1]),-9+2j)
>   File "/usr/lib/python2.5/site-packages/numpy/testing/utils.py", line
> 156, in assert_almost_equal
>     assert round(abs(desired - actual),decimal) == 0, msg
> AssertionError:
> Items are not equal:
>  ACTUAL: (2221.072265625-1.7772912979125977j)
>  DESIRED: (-9+2j)
>
> ======================================================================
> FAIL: check_dot (scipy.linalg.tests.test_blas.test_fblas1_simple)
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "/usr/lib/python2.5/site-
> packages/scipy/linalg/tests/test_blas.py", line 75, in check_dot
>     assert_almost_equal(f([3j,-4,3-4j],[2,3,1]),-9+2j)
>   File "/usr/lib/python2.5/site-packages/numpy/testing/utils.py", line
> 156, in assert_almost_equal
>     assert round(abs(desired - actual),decimal) == 0, msg
> AssertionError:
> Items are not equal:
>  ACTUAL: (2221.072265625-1.7772912979125977j)
>  DESIRED: (-9+2j)
>
> ----------------------------------------------------------------------
> Ran 1634 tests in 701.652s
>

> It is not clear to me whether it is a problem related to the fact that
> there are warnings about the blas, atlas, and lapack. I am using distros
> rpms :
> [cohen@localhost scipy-svn]$ rpm -qa | grep -i blas
> blas-3.1.1-1.fc7
> blas-devel-3.1.1-1.fc7
> [cohen@localhost scipy-svn]$ rpm -qa | grep -i atlas
> atlas-3.6.0-11.fc6
> [cohen@localhost scipy-svn]$ rpm -qa | grep -i lapack
> lapack-devel-3.1.1-1.fc7
> lapack-3.1.1-1.fc7
> R-RScaLAPACK-0.5.1-9.fc7
> scalapack-1.7.5-1.fc7
>
> and /usr/lib/python2.5/site-packages/numpy/distutils/system_info.py
> does complain about some libraries missing in these distros....

New description:

 I am failing 2 tests at level 1 :
 {{{
 ======================================================================
 FAIL: check_dot (scipy.lib.tests.test_blas.test_fblas1_simple)
 ----------------------------------------------------------------------
 Traceback (most recent call last):
   File "/usr/lib/python2.5/site-
 packages/scipy/lib/blas/tests/test_blas.py", line 76, in check_dot
     assert_almost_equal(f([3j,-4,3-4j],[2,3,1]),-9+2j)
   File "/usr/lib/python2.5/site-packages/numpy/testing/utils.py", line
 156, in assert_almost_equal
     assert round(abs(desired - actual),decimal) == 0, msg
 AssertionError:
 Items are not equal:
  ACTUAL: (2221.072265625-1.7772912979125977j)
  DESIRED: (-9+2j)

 ======================================================================
 FAIL: check_dot (scipy.linalg.tests.test_blas.test_fblas1_simple)
 ----------------------------------------------------------------------
 Traceback (most recent call last):
   File "/usr/lib/python2.5/site-packages/scipy/linalg/tests/test_blas.py",
 line 75, in check_dot
     assert_almost_equal(f([3j,-4,3-4j],[2,3,1]),-9+2j)
   File "/usr/lib/python2.5/site-packages/numpy/testing/utils.py", line
 156, in assert_almost_equal
     assert round(abs(desired - actual),decimal) == 0, msg
 AssertionError:
 Items are not equal:
  ACTUAL: (2221.072265625-1.7772912979125977j)
  DESIRED: (-9+2j)

 ----------------------------------------------------------------------
 Ran 1634 tests in 701.652s
 }}}

 It is not clear to me whether it is a problem related to the fact that
 there are warnings about the blas, atlas, and lapack. I am using distros
 rpms :
 {{{
 [cohen@localhost scipy-svn]$ rpm -qa | grep -i blas
 blas-3.1.1-1.fc7
 blas-devel-3.1.1-1.fc7
 [cohen@localhost scipy-svn]$ rpm -qa | grep -i atlas
 atlas-3.6.0-11.fc6
 [cohen@localhost scipy-svn]$ rpm -qa | grep -i lapack
 lapack-devel-3.1.1-1.fc7
 lapack-3.1.1-1.fc7
 R-RScaLAPACK-0.5.1-9.fc7
 scalapack-1.7.5-1.fc7
 }}}
 and /usr/lib/python2.5/site-packages/numpy/distutils/system_info.py
 does complain about some libraries missing in these distros....

Comment:

 Exact same errors occur with OS X and the Accelerate framework for LAPACK
 and BLAS.

-- 
Ticket URL: <http://projects.scipy.org/scipy/scipy/ticket/461#comment:1>
SciPy <http://www.scipy.org/>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list